Description

Last Week we did an update from Puppet3 to Puppet4 in one of our environments. We used you documentation: 

http://projects.theforeman.org/projects/foreman/wiki/Upgrading_from_Puppet_3_to_4

We had two possible issues after the update.

1.

We discovered, that in step 2 it would be good to add an additional option to the foreman-installer.

"--reset-puppet-server-puppetserver-vardir" 

 Can I update the documentation in your wiki?

2.

This is related to (1). We are using "puppet master --compile ..." to generate some reports on the puppet master. Since Puppet 4 the

master and agent use a different vardir. In the default installation it is no longer possible to execute this command, because the

puppet process is trying to geht cached facts etc. from the agent vardir. We had to add this to our puppet.conf:

[master]

...

    vardir = /opt/puppetlabs/server/data/puppetserver

 This should be done by the foreman-installer itself when installing Puppet 4.

Associated revisions

Revision 7a9226d3 - 12/17/2016 11:26 AM - Martin Schurz

set vardir, rundir and logdir explicitly in puppet.conf

see https://docs.puppet.com/puppetserver/2.7/puppet_conf_setting_diffs.html#overriding-puppet-settings-in-puppet-server

History

#1 - 12/12/2016 11:00 AM - Dominic Cleal

1. Please feel free to edit the wiki.

2. This is entirely separate from the documentation, it should be filed as an issue in the installer project, not a support ticket. Do you want me to

change this ticket, or do you intend to file a specific bug report?

#2 - 12/12/2016 11:08 AM - Martin Schurz

Dominic Cleal wrote:
http://projects.theforeman.org/projects/foreman/wiki/Upgrading_from_Puppet_3_to_4
https://docs.puppet.com/puppetserver/2.7/puppet_conf_setting_diffs.html#overriding-puppet-settings-in-puppet-server


1. Please feel free to edit the wiki.

2. This is entirely separate from the documentation, it should be filed as an issue in the installer project, not a support ticket. Do you want me to

change this ticket, or do you intend to file a specific bug report?

 Ok I will update the wiki. Can you change the ticket? I will try to provide a patch. From what I've seen this sould be trivial.

#3 - 12/12/2016 02:16 PM - Anonymous

- Tracker changed from Support to Bug

- Project changed from Foreman to Installer

- Category changed from Settings to Foreman modules

#4 - 12/12/2016 04:03 PM - Martin Schurz

- Pull request https://github.com/theforeman/puppet-puppet/pull/468 added

#5 - 12/23/2016 08:48 AM - Martin Schurz

Hi Michael,

just one short question.

The PR for the puppet Module was merged a few days ago. Will the fix be in the next version of foreman-installer or is there something that needs to

be done to update the dependency?

#6 - 12/23/2016 06:54 PM - Anonymous

It'll be part of Foreman 1.15 per default and I'll leave the decision to Dominic if it's going to be part of the branched releases.

Personally I'm not 100% sure, but think the whole "puppet master" thing is marked deprecated in Puppet 4.x and will be gone in 5.x (or maybe even

sooner), so it's probably a good idea to move away from using that. But ask Puppetlabs about the things you're specifically using, if you need 100%

confidence.

#7 - 01/03/2017 03:16 AM - Dominic Cleal

- Status changed from New to Resolved

We can see about including it in a patch release, e.g. 1.14.1.

#8 - 01/03/2017 04:56 AM - Dominic Cleal

- Status changed from Resolved to Closed

- Assignee set to Martin Schurz

- translation missing: en.field_release set to 210
